dsdpdatamat_impl.h File Reference

Structure of function pointers that each SDP data matrix type (sparse, dense, constant, identity, ...) must implement. More...

Go to the source code of this file.

## Data Structures

struct | DSDPDataMat_Ops
| Table of function pointers that operate on the data matrix. More...

## Functions

int | DSDPDataMatOpsInitialize (struct DSDPDataMat_Ops *)
| Initialize the table of function pointers for SDP Data matrices.

## Detailed Description

Structure of function pointers that each SDP data matrix type (sparse, dense, constant, identity, ...) must implement.

Definition in file dsdpdatamat_impl.h.

## Function Documentation

## DSDPDataMatOpsInitialize()

int DSDPDataMatOpsInitialize | ( | struct DSDPDataMat_Ops * | dops | ) |

Initialize the table of function pointers for SDP Data matrices.

Parameters

  dops | pointer to a structure of function pointers.

Definition at line 47 of file dsdpdatamat.c.

Referenced by DSDPDataMatInitialize(), and DSDPDataMatSetData().